    import ProjectLoader from 'pvbid-sdk/src/ProjectLoader.js'

public class | source

# ProjectLoader

This class serves to quickly load a Project instance with included Bids

## Constructor Summary

Public Constructor
public | constructor(pvbidContext: PVBidContext) Creates an instance of ProjectLoader. |

## Member Summary

Public Members
public | context: * |

## Method Summary

Public Methods
public | async load(projectId: number, forceReload: boolean): Promise<Project> Loads a project and bid instances. |

## Public Constructors

### public constructor(pvbidContext: PVBidContext) source

Creates an instance of ProjectLoader.

#### Params:

Name | Type | Attribute | Description
pvbidContext | PVBidContext |  |

## Public Members

### public context: * source

## Public Methods

### public async load(projectId: number, forceReload: boolean): Promise<Project> source

Loads a project and bid instances.

#### Params:

Name | Type | Attribute | Description
projectId | number |  |
forceReload | boolean |  | Forces underlying system to skip the cache.

#### Return:

Promise<Project>